Cyan Web API - Version 1


GET api/integrations

            Gets integrations within a tenant.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "integrationId": "4a878612-7280-45bb-803e-cd41d8a22e96",
    "tenantId": "93e8b089-63e6-4141-9dc7-b25b0625076c",
    "applicationId": "5369d4a2-2c52-4146-826d-b6dc05b564ce",
    "integrationTypeId": "82ebe4fc-e957-4fec-af06-b7884d6f254f",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-05-11T07:56:56.8902693+00:00",
    "updatedDateUtc": "2026-05-11T07:56:56.8902693+00:00"
  },
  {
    "integrationId": "4a878612-7280-45bb-803e-cd41d8a22e96",
    "tenantId": "93e8b089-63e6-4141-9dc7-b25b0625076c",
    "applicationId": "5369d4a2-2c52-4146-826d-b6dc05b564ce",
    "integrationTypeId": "82ebe4fc-e957-4fec-af06-b7884d6f254f",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-05-11T07:56:56.8902693+00:00",
    "updatedDateUtc": "2026-05-11T07:56:56.8902693+00:00"
  },
  {
    "integrationId": "4a878612-7280-45bb-803e-cd41d8a22e96",
    "tenantId": "93e8b089-63e6-4141-9dc7-b25b0625076c",
    "applicationId": "5369d4a2-2c52-4146-826d-b6dc05b564ce",
    "integrationTypeId": "82ebe4fc-e957-4fec-af06-b7884d6f254f",
    "integrationTypeLookupKey": "sample string 5",
    "name": "sample string 6",
    "description": "sample string 7",
    "createdDateUtc": "2026-05-11T07:56:56.8902693+00:00",
    "updatedDateUtc": "2026-05-11T07:56:56.8902693+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfIntegrationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-05-11T07:56:56.8902693+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T07:56:56.8902693+00:00</UpdatedDateUtc>
    <ApplicationId>5369d4a2-2c52-4146-826d-b6dc05b564ce</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>4a878612-7280-45bb-803e-cd41d8a22e96</IntegrationId>
    <IntegrationTypeId>82ebe4fc-e957-4fec-af06-b7884d6f254f</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>93e8b089-63e6-4141-9dc7-b25b0625076c</TenantId>
  </IntegrationRepresentation>
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-05-11T07:56:56.8902693+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T07:56:56.8902693+00:00</UpdatedDateUtc>
    <ApplicationId>5369d4a2-2c52-4146-826d-b6dc05b564ce</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>4a878612-7280-45bb-803e-cd41d8a22e96</IntegrationId>
    <IntegrationTypeId>82ebe4fc-e957-4fec-af06-b7884d6f254f</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>93e8b089-63e6-4141-9dc7-b25b0625076c</TenantId>
  </IntegrationRepresentation>
  <IntegrationRepresentation>
    <CreatedDateUtc>2026-05-11T07:56:56.8902693+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T07:56:56.8902693+00:00</UpdatedDateUtc>
    <ApplicationId>5369d4a2-2c52-4146-826d-b6dc05b564ce</ApplicationId>
    <Description>sample string 7</Description>
    <IntegrationId>4a878612-7280-45bb-803e-cd41d8a22e96</IntegrationId>
    <IntegrationTypeId>82ebe4fc-e957-4fec-af06-b7884d6f254f</IntegrationTypeId>
    <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
    <Name>sample string 6</Name>
    <TenantId>93e8b089-63e6-4141-9dc7-b25b0625076c</TenantId>
  </IntegrationRepresentation>
</ArrayOfIntegrationRepresentation>